AdminAuditLogList audit events for current tenant

List audit events for current tenant

Requires admin. On cloud, returns 403 unless the organization is on the Team plan.

curl -X GET "//api/admin/audit-log?limit=42&before_created_at=example_string&before_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT or sb_ API token)"
{
  "events": [
    {
      "id": "example_string",
      "created_at": "example_string",
      "action": "example_string",
      "entity_type": "example_string",
      "entity_id": "example_string",
      "metadata": {},
      "actor_user_id": "example_string",
      "actor_email": "user@example.com",
      "actor_name": "John Doe"
    }
  ],
  "next_cursor": {
    "before_created_at": "example_string",
    "before_id": "example_string"
  }
}
GET
/api/admin/audit-log
GET
Bearer Token (JWT or sb_ API token)
Bearer Tokenstring
Required

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT or sb_ API token). Use Authorization: Bearer \<token\>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Query Parameters

Responses

eventsarray
next_cursorobject